View Issue Details

IDProjectCategoryView StatusLast Update
0027431LazarusDebuggerpublic2015-06-27 09:49
ReporterStephanoAssigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5 (SVN)Product Build 
Target Version1.4Fixed in Version1.5 (SVN) 
Summary0027431: Run button stalls debugger
DescriptionWhen cross compiling from Linux to arm, pressing F9 (run) by mistake (instead of Shift F9) builds the projects and tries to run it, causing some error (expected).

Recently, pressing the Run button (or F9) enables both the Run and Stop buttons, and the IDE's title bar displays 'debugging'. Pressing the Run or Stop buttons has no effect. One has to reset the debugger to go on.
TagsNo tags attached.
Fixed in Revision47671
LazTarget1.4
Widgetset
Attached Files

Activities

Martin Friebe

2015-02-09 21:16

manager   ~0080897

Can you add a logfile please:
http://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Log_info_for_debug_session

(If you know) Does it affects 1.4 branch too?

Does "Reset the debugger" work?
(Including killing gdb, please check the process list. Before/After)

Stephano

2015-02-09 21:55

developer   ~0080902

- I use Lazarus trunk, so no idea about 1.4 branch.

- 'Reset debugger' works as mentioned above.

- Debug output shows:
<-file-exec-and-symbols "/home/test/Documents/Data/Lazarus/WinCEProjects/TCalendarTest/CalendarTest.exe">
^error,msg="\"/home/test/Documents/Data/Lazarus/WinCEProjects/TCalendarTest/CalendarTest.exe\": not in executable format: File format not recognized"
(gdb)
<kill>
<-gdb-exit>

Martin Friebe

2015-02-10 05:08

manager   ~0080912

Please test and close if ok

Issue History

Date Modified Username Field Change
2015-02-09 21:06 Stephano New Issue
2015-02-09 21:14 Martin Friebe Assigned To => Martin Friebe
2015-02-09 21:14 Martin Friebe Status new => assigned
2015-02-09 21:16 Martin Friebe Note Added: 0080897
2015-02-09 21:17 Martin Friebe Status assigned => feedback
2015-02-09 21:17 Martin Friebe Category IDE => Debugger
2015-02-09 21:55 Stephano Note Added: 0080902
2015-02-09 21:55 Stephano Status feedback => assigned
2015-02-10 05:08 Martin Friebe Fixed in Revision => 47671
2015-02-10 05:08 Martin Friebe LazTarget - => 1.4
2015-02-10 05:08 Martin Friebe Note Added: 0080912
2015-02-10 05:08 Martin Friebe Status assigned => resolved
2015-02-10 05:08 Martin Friebe Fixed in Version => 1.5 (SVN)
2015-02-10 05:08 Martin Friebe Resolution open => fixed
2015-02-10 05:08 Martin Friebe Target Version => 1.4
2015-06-27 09:49 Stephano Status resolved => closed